# Make sure git add and commit all your changes then run make to update app version and changelog
all: update_version update_changelog

# Update project version in app_starter/version.py
# To set the version, use settings.py in CONFIG['PROJECT_VERSION']
update_version:
	python3 update_version.py

# Update CHANGELOG.md automatically
update_changelog:
	python3 update_changelog.py

# Create normal users and admin users specified in CONFIG['AUTHZ_USERS']
# and CONFIG['AUTHZ_ADMINS'] in settings.py
create_users:
	python3 app_starter/manage.py createusers
